@ECHO OFF >NUL
setlocal ENABLEDELAYEDEXPANSION
set PATH=C:\cygwin64\bin;%PATH%
CD /d "%~dp0"

echo ................................................................... >> "%~dp0RestartTuners.log"

for /F "tokens=2" %%i in ('date /t') do set mydate=%%i
set mytime=%time%
echo %mydate%:%mytime% >> "%~dp0RestartTuners.log"

set TunerReset=

:: Check each HDHomeRun Prime in turn
for %%a in (1319784E,132277E9) do (

	if %%a==1319784E set WeMoIP=192.168.1.200
	if %%a==132277E9 set WeMoIP=192.168.1.201
	set HDHRPOnNetwork=
	"C:\Program Files\Silicondust\HDHomeRun\hdhomerun_config.exe" %%a get /sys/hwmodel 1> "%~dp0TempFile.txt" 2>&1
	set /P HDHRPOnNetwork= < "%~dp0TempFile.txt"
	del "%~dp0TempFile.txt"

	if not !HDHRPOnNetwork!==HDHR3-CC (
		echo HDHomeRun Prime %%a is not seen on the network - Power Cycling >> "%~dp0RestartTuners.log"
		c:\cygwin64\bin\sh.exe wemo_control.sh !WeMoIP! OFF 1>nul 2>&1
		c:\cygwin64\bin\sh.exe wemo_control.sh !WeMoIP! ON 1>nul 2>&1
	) else (

		set HDHRPInUse=

		:: Check each Tuner on this HDHomeRun Prime in turn
		for %%i in (0,1,2) do (
			set TunerInUse=
			"C:\Program Files\Silicondust\HDHomeRun\hdhomerun_config.exe" %%a get /tuner%%i/lockkey > "%~dp0TempFile.txt"
			set /P TunerInUse= < "%~dp0TempFile.txt"
			del "%~dp0TempFile.txt"
			set HDHRPInUse=!HDHRPInUSe!!TunerInUse!
		)
	
		if !HDHRPInUse!==nonenonenone (
			echo HDHomeRun Prime %%a is not being used - Restarting >> "%~dp0RestartTuners.log"
			"C:\Program Files\Silicondust\HDHomeRun\hdhomerun_config.exe" %%a set /sys/restart self 1>> "%~dp0RestartTuners.log" 2>&1
		) else (
			echo HDHomeRun Prime %%a is currently in use and will not be reset at this time >> "%~dp0RestartTuners.log"
		)	
	)
)

exit